Name:          maven-processor-plugin
Version:       2.1.1
Release:       %mkrel 2
Summary:       Maven Processor Plugin
# some classes and pom file are annotated with ASL 2.0
# and the site here it is hosted says "GNU Lesser GPL"
# contacted the project owner (available in POM) and clarified the license status in LGPLv3
License:       LGPLv3 and ASL 2.0
Group:         Development/Java
Url:           http://code.google.com/p/maven-annotation-plugin/
# git clone https://code.google.com/p/maven-annotation-plugin/ maven-processor-plugin-2.1.1
# (cd maven-processor-plugin-2.1.1/ && git archive --format=tar --prefix=maven-processor-plugin-2.1.1/ maven-processor-plugin-2.1.1 | xz > ../maven-processor-plugin-2.1.1-src-git.tar.xz)
Source0:       %{name}-%{version}-src-git.tar.xz

BuildRequires: java-devel

# main deps
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)

# test deps
BuildRequires: junit

BuildRequires: maven-local
BuildRequires: maven-plugin-plugin
BuildRequires: maven-surefire-provider-junit4

BuildArch:     noarch

%description
A maven plugin to process annotation for jdk6 at compile time

This plugin helps to use from maven the new annotation processing
provided by JDK6 integrated in java compiler

This plugin could be considered the 'alter ego' of maven apt plugin.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%pom_xpath_remove pom:project/pom:profiles
%pom_xpath_remove pom:build/pom:extensions

cp -p src/main/resources/COPYING.LESSER .

%build

%mvn_file :%{name} %{name}
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc COPYING.LESSER

%files javadoc -f .mfiles-javadoc
%doc COPYING.LESSER



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.1.1-2.mga4
+ Revision: 537630
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 2.1.1-1.mga4
+ Revision: 487390
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.0.7-2.mga3
+ Revision: 359740
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 2.0.7-1.mga3
+ Revision: 325789
- New version

* Sun Jun 24 2012 dmorgan <dmorgan> 2.0.5-1.mga3
+ Revision: 263221
- imported package maven-processor-plugin


* Thu Jun 21 2012 gil cattaneo <puntogil@libero.it> 2.0.5-2
- fix summary
- fix license

* Sun Apr 22 2012 gil cattaneo <puntogil@libero.it> 2.0.5-1
- initial rpm
